Bug 17496 - install-CPAN.pl documentation/removal
Summary: install-CPAN.pl documentation/removal
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-25 14:54 UTC by Martin Renvoize
Modified: 2019-05-27 12:40 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17496: Remove undocumented/maintained install-CPAN.pl file (2.19 KB, patch)
2019-02-10 02:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17496: Remove undocumented/maintained install-CPAN.pl file (2.25 KB, patch)
2019-02-12 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 17496: Remove undocumented/maintained install-CPAN.pl file (2.32 KB, patch)
2019-02-21 12:02 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2016-10-25 14:54:00 UTC
I have no idea what this script does and can't find any documentation for it anywhere.. 

We should either document it, or remove it ;)
Comment 1 Katrin Fischer 2019-02-10 02:09:07 UTC
Easiest way to start discussion... move this in the needs sign-off queue. 

Some historical information can be found in the git log, but no details:
http://git.koha-community.org/gitweb/?p=koha.git;a=history;f=install-CPAN.pl;h=43555ca38eb53c99e11bc0b95f7d0fadf04c4712;hb=df611b17d12b63bb2f14909969ff8e8f67a332d0
Comment 2 Katrin Fischer 2019-02-10 02:12:08 UTC
Created attachment 84944 [details] [review]
Bug 17496: Remove undocumented/maintained install-CPAN.pl file

The install-CPAN.pl file was added in 2007 and hasn't been
updated or documented since.

This patch removed it from Koha.
Comment 3 Martin Renvoize 2019-02-12 13:54:54 UTC
Created attachment 85017 [details] [review]
Bug 17496: Remove undocumented/maintained install-CPAN.pl file

The install-CPAN.pl file was added in 2007 and hasn't been
updated or documented since.

This patch removed it from Koha.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-02-12 13:55:37 UTC
Totally agree with the removal here.. Signing Off and adding a bunch of cc's to try and catch some attention of anyone who might know if it's still in use anywhere.
Comment 5 Kyle M Hall 2019-02-21 12:02:49 UTC
Created attachment 85433 [details] [review]
Bug 17496: Remove undocumented/maintained install-CPAN.pl file

The install-CPAN.pl file was added in 2007 and hasn't been
updated or documented since.

This patch removed it from Koha.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Nick Clemens 2019-03-04 18:44:12 UTC
Leaving this open for a week in case any one cares to comment, then will push
Comment 7 Nick Clemens 2019-03-11 13:10:28 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-03-12 09:24:27 UTC
Pushed to 18.11.x for 18.11.04
Comment 9 Lucas Gass 2019-03-15 20:15:31 UTC
backported to 18.05.x for 18.05.11